// SPDX-License-Identifier: EUPL-1.2+
// SPDX-FileCopyrightText: S.W.I.F.T. SC
// Source: https://www.swift.com/resource/iban-registry-txt
// Code generated by code.pfad.fr/swift/internal/cmd/registry-generate DO NOT EDIT.

package swift

import "code.pfad.fr/swift/internal/format"

var bbanRegistryByCountryCode = map[CountryCode]bbanChecker{
	"AD": {nil, columns{format.Numeric(4), format.Numeric(4), format.Mixed(12)}, true},
	"AE": {nil, columns{format.Numeric(3), format.Numeric(16)}, false},
	"AL": {nil, columns{format.Numeric(8), format.Mixed(16)}, false},
	"AT": {nil, columns{format.Numeric(5), format.Numeric(11)}, true},
	"AZ": {nil, columns{format.Alpha(4), format.Mixed(20)}, false},
	"BA": {mod97Checker(98, 14), columns{format.Numeric(3), format.Numeric(3), format.Numeric(8), format.Numeric(2)}, false},
	"BE": {beCheckDigits, columns{format.Numeric(3), format.Numeric(7), format.Numeric(2)}, true},
	"BG": {nil, columns{format.Alpha(4), format.Numeric(4), format.Numeric(2), format.Mixed(8)}, true},
	"BH": {nil, columns{format.Alpha(4), format.Mixed(14)}, false},
	"BI": {nil, columns{format.Numeric(5), format.Numeric(5), format.Numeric(11), format.Numeric(2)}, false},
	"BR": {nil, columns{format.Numeric(8), format.Numeric(5), format.Numeric(10), format.Alpha(1), format.Mixed(1)}, false},
	"BY": {nil, columns{format.Mixed(4), format.Numeric(4), format.Mixed(16)}, false},
	"CH": {nil, columns{format.Numeric(5), format.Mixed(12)}, true},
	"CR": {nil, columns{format.Numeric(4), format.Numeric(14)}, false},
	"CY": {nil, columns{format.Numeric(3), format.Numeric(5), format.Mixed(16)}, true},
	"CZ": {nil, columns{format.Numeric(4), format.Numeric(6), format.Numeric(10)}, true},
	"DE": {nil, columns{format.Numeric(8), format.Numeric(10)}, true},
	"DJ": {nil, columns{format.Numeric(5), format.Numeric(5), format.Numeric(11), format.Numeric(2)}, false},
	"DK": {nil, columns{format.Numeric(4), format.Numeric(9), format.Numeric(1)}, true},
	"DO": {nil, columns{format.Mixed(4), format.Numeric(20)}, false},
	"EE": {nil, columns{format.Numeric(2), format.Numeric(14)}, true},
	"EG": {nil, columns{format.Numeric(4), format.Numeric(4), format.Numeric(17)}, false},
	"ES": {nil, columns{format.Numeric(4), format.Numeric(4), format.Numeric(1), format.Numeric(1), format.Numeric(10)}, true},
	"FI": {nil, columns{format.Numeric(3), format.Numeric(11)}, true},
	"FK": {nil, columns{format.Alpha(2), format.Numeric(12)}, false},
	"FO": {nil, columns{format.Numeric(4), format.Numeric(9), format.Numeric(1)}, false},
	"FR": {frCheckDigits, columns{format.Numeric(5), format.Numeric(5), format.Mixed(11), format.Numeric(2)}, true},
	"GB": {nil, columns{format.Alpha(4), format.Numeric(6), format.Numeric(8)}, true},
	"GE": {nil, columns{format.Alpha(2), format.Numeric(16)}, false},
	"GI": {nil, columns{format.Alpha(4), format.Mixed(15)}, true},
	"GL": {nil, columns{format.Numeric(4), format.Numeric(9), format.Numeric(1)}, false},
	"GR": {nil, columns{format.Numeric(3), format.Numeric(4), format.Mixed(16)}, true},
	"GT": {nil, columns{format.Mixed(4), format.Mixed(20)}, false},
	"HN": {nil, columns{format.Alpha(4), format.Numeric(20)}, false},
	"HR": {hrCheckDigits, columns{format.Numeric(7), format.Numeric(10)}, true},
	"HU": {nil, columns{format.Numeric(3), format.Numeric(4), format.Numeric(1), format.Numeric(15), format.Numeric(1)}, true},
	"IE": {nil, columns{format.Alpha(4), format.Numeric(6), format.Numeric(8)}, true},
	"IL": {nil, columns{format.Numeric(3), format.Numeric(3), format.Numeric(13)}, false},
	"IQ": {nil, columns{format.Alpha(4), format.Numeric(3), format.Numeric(12)}, false},
	"IS": {nil, columns{format.Numeric(4), format.Numeric(2), format.Numeric(6), format.Numeric(10)}, true},
	"IT": {nil, columns{format.Alpha(1), format.Numeric(5), format.Numeric(5), format.Mixed(12)}, true},
	"JO": {nil, columns{format.Alpha(4), format.Numeric(4), format.Mixed(18)}, false},
	"KW": {nil, columns{format.Alpha(4), format.Mixed(22)}, false},
	"KZ": {nil, columns{format.Numeric(3), format.Mixed(13)}, false},
	"LB": {nil, columns{format.Numeric(4), format.Mixed(20)}, false},
	"LC": {nil, columns{format.Alpha(4), format.Mixed(24)}, false},
	"LI": {nil, columns{format.Numeric(5), format.Mixed(12)}, true},
	"LT": {nil, columns{format.Numeric(5), format.Numeric(11)}, true},
	"LU": {nil, columns{format.Numeric(3), format.Mixed(13)}, true},
	"LV": {nil, columns{format.Alpha(4), format.Mixed(13)}, true},
	"LY": {nil, columns{format.Numeric(3), format.Numeric(3), format.Numeric(15)}, false},
	"MC": {frCheckDigits, columns{format.Numeric(5), format.Numeric(5), format.Mixed(11), format.Numeric(2)}, true},
	"MD": {nil, columns{format.Mixed(2), format.Mixed(18)}, false},
	"ME": {mod97Checker(98, 16), columns{format.Numeric(3), format.Numeric(13), format.Numeric(2)}, false},
	"MK": {mod97Checker(98, 13), columns{format.Numeric(3), format.Mixed(10), format.Numeric(2)}, false},
	"MN": {nil, columns{format.Numeric(4), format.Numeric(12)}, false},
	"MR": {mod97Checker(97, 21), columns{format.Numeric(5), format.Numeric(5), format.Numeric(11), format.Numeric(2)}, false},
	"MT": {nil, columns{format.Alpha(4), format.Numeric(5), format.Mixed(18)}, true},
	"MU": {nil, columns{format.Alpha(4), format.Numeric(2), format.Numeric(2), format.Numeric(12), format.Numeric(3), format.Alpha(3)}, false},
	"NI": {nil, columns{format.Alpha(4), format.Numeric(20)}, false},
	"NL": {nil, columns{format.Alpha(4), format.Numeric(10)}, true},
	"NO": {nil, columns{format.Numeric(4), format.Numeric(6), format.Numeric(1)}, true},
	"OM": {nil, columns{format.Numeric(3), format.Mixed(16)}, false},
	"PK": {nil, columns{format.Alpha(4), format.Mixed(16)}, false},
	"PL": {nil, columns{format.Numeric(8), format.Numeric(16)}, true},
	"PS": {nil, columns{format.Alpha(4), format.Mixed(21)}, false},
	"PT": {mod97Checker(98, 19), columns{format.Numeric(4), format.Numeric(4), format.Numeric(11), format.Numeric(2)}, true},
	"QA": {nil, columns{format.Alpha(4), format.Mixed(21)}, false},
	"RO": {nil, columns{format.Alpha(4), format.Mixed(16)}, true},
	"RS": {mod97Checker(98, 16), columns{format.Numeric(3), format.Numeric(13), format.Numeric(2)}, false},
	"RU": {nil, columns{format.Numeric(9), format.Numeric(5), format.Mixed(15)}, false},
	"SA": {nil, columns{format.Numeric(2), format.Mixed(18)}, false},
	"SC": {nil, columns{format.Alpha(4), format.Numeric(2), format.Numeric(2), format.Numeric(16), format.Alpha(3)}, false},
	"SD": {nil, columns{format.Numeric(2), format.Numeric(12)}, false},
	"SE": {nil, columns{format.Numeric(3), format.Numeric(16), format.Numeric(1)}, true},
	"SI": {mod97Checker(98, 13), columns{format.Numeric(5), format.Numeric(8), format.Numeric(2)}, true},
	"SK": {nil, columns{format.Numeric(4), format.Numeric(6), format.Numeric(10)}, true},
	"SM": {nil, columns{format.Alpha(1), format.Numeric(5), format.Numeric(5), format.Mixed(12)}, true},
	"SO": {nil, columns{format.Numeric(4), format.Numeric(3), format.Numeric(12)}, false},
	"ST": {nil, columns{format.Numeric(8), format.Numeric(11), format.Numeric(2)}, false},
	"SV": {nil, columns{format.Alpha(4), format.Numeric(20)}, false},
	"TL": {mod97Checker(98, 17), columns{format.Numeric(3), format.Numeric(14), format.Numeric(2)}, false},
	"TN": {mod97Checker(97, 18), columns{format.Numeric(2), format.Numeric(3), format.Numeric(13), format.Numeric(2)}, false},
	"TR": {nil, columns{format.Numeric(5), format.Numeric(1), format.Mixed(16)}, false},
	"UA": {nil, columns{format.Numeric(6), format.Mixed(19)}, false},
	"VA": {nil, columns{format.Numeric(3), format.Numeric(15)}, true},
	"VG": {nil, columns{format.Alpha(4), format.Numeric(16)}, false},
	"XK": {nil, columns{format.Numeric(4), format.Numeric(10), format.Numeric(2)}, false},
	"YE": {nil, columns{format.Alpha(4), format.Numeric(4), format.Mixed(18)}, false},
}
